//+------------------------------------------------------------------+
//|                                                     Project1.mq4 |
//|                           Copyright 2023,MQL4club Software Corp. |
//|                                       https://www.t.me/mql4club/ |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023,MQL4club Software Corp."
#property link      "https://www.t.me/mql4club/"
#property version   "1.00"
#property strict

#include <Controls/Dialog.mqh>
#include <Controls/Button.mqh>
#include <Controls/Label.mqh>

CAppDialog Interface;

CDialog Dialog1;
CDialog Dialog2;
CButton Button1,Button2;
CEdit Edit1;
CLabel Label1;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   Interface.Create(0,"Interface",0,30,30,400,300);
   Dialog1.Create(0,"Dialog1",0,0,0,100,100);
   Dialog2.Create(0,"Dialog2",0,100,0,200,150);
   Button1.Create(0,"Button1",0,10,10,90,40);
   Button2.Create(0,"Button2",0,10,10,90,40);
   
   Button1.Shift(50,180);
   Button1.Text("Show");
   Button1.Color(clrYellow);
   Button1.ColorBackground(clrBlue);
   Button1.ColorBorder(clrRed);
   Button2.Shift(150,180);
   Button2.Text("Hide");
   Button2.Color(clrYellow);
   Button2.ColorBackground(clrBlue);
   Button2.ColorBorder(clrRed);
   
   //---
   Edit1.Create(0,"Edit1",0,5,5,80,40);
   Edit1.Text(_Symbol);
   Edit1.Color(clrYellow);
   Edit1.ColorBackground(clrRed);
   Edit1.ColorBorder(clrYellow);
   //Edit1.ReadOnly(true);
   Edit1.TextAlign(ALIGN_CENTER);
   
   Label1.Create(0,"Label1",0,0,0,0,0);
   Label1.Text(_Symbol);
   Label1.Color(clrRed);
   Label1.FontSize(14);
   
   Interface.Add(Dialog1);
   Interface.Add(Dialog2);
   Interface.Add(Button1);
   Interface.Add(Button2);
   Interface.Caption("Caption");
   Dialog2.Add(Edit1);
   Interface.Add(Label1);
   Label1.Shift(70,-25);
   
   Interface.Run();
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   Interface.Destroy(reason);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---
   Interface.OnEvent(id,lparam,dparam,sparam);
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Button1")
   {
      //Dialog1.Show();
      //Dialog2.Show();
      
      Dialog1.Visible(True);
      Dialog2.Visible(True);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Button2")
   {
      //Dialog1.Visible(false);
      //Dialog2.Visible(false);
      
      Dialog1.Hide();
      Dialog2.Hide();
   }
   
   if(id == CHARTEVENT_OBJECT_ENDEDIT && sparam == "Edit1")
   {
      Print("Value is : ",Edit1.Text());
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Label1")
   {
      Print("Click On Label");
   }
  }
//+------------------------------------------------------------------+
