//+------------------------------------------------------------------+
//|                                                     Project3.mq4 |
//|                           Copyright 2023,MQL4club Software Corp. |
//|                                       https://www.t.me/mql4club/ |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023,MQL4club Software Corp."
#property link      "https://www.t.me/mql4club/"
#property version   "1.00"
#property strict

#include <Controls/Dialog.mqh>
#include <Controls/Button.mqh>
#include <Controls/Label.mqh>
#include <Controls/RadioGroup.mqh>
#include <Controls/CheckGroup.mqh>

#resource "\\Include\\Controls\\res\\DownDisable.bmp"
#resource "\\Include\\Controls\\res\\UpDisable.bmp"

CAppDialog Interface;

CDialog Dialog1;
CDialog Dialog2;
CButton Button1,Button2;
CEdit Edit1;
CLabel Label1;
CBmpButton Bmp1;
CRadioGroup RadioGroup1;
CCheckGroup CheckGroup1;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   Interface.Create(0,"Interface",0,30,30,400,300);
   Dialog1.Create(0,"Dialog1",0,0,0,100,100);
   Dialog2.Create(0,"Dialog2",0,100,0,200,150);
   Button1.Create(0,"Button1",0,10,10,90,40);
   Button2.Create(0,"Button2",0,10,10,90,40);
   
   
   
   Bmp1.Create(0,"Bmp1",0,0,0,0,0);
   Bmp1.BmpNames("::Include//Controls//res//DownDisable.bmp","::Include//Controls//res//UpDisable.bmp");
   Interface.Add(Bmp1);
   Bmp1.Shift(308,-20);
   
   RadioGroup1.Create(0,"RadioGroup1",0,210,5,310,90);
   RadioGroup1.AddItem("Blue");
   RadioGroup1.AddItem("Yellow");
   RadioGroup1.AddItem("Orange");
   RadioGroup1.AddItem("Red");
   Interface.Add(RadioGroup1);
   
   CheckGroup1.Create(0,"CheckGroup1",0,210,90,310,190);
   CheckGroup1.AddItem("Grid");
   CheckGroup1.AddItem("AskLine");
   CheckGroup1.AddItem("Volume");
   CheckGroup1.AddItem("Seprator");
   Interface.Add(CheckGroup1);
   
   Button1.Shift(50,180);
   Button1.Text("Show");
   Button1.Color(clrYellow);
   Button1.ColorBackground(clrBlue);
   Button1.ColorBorder(clrRed);
   Button2.Shift(150,180);
   Button2.Text("Hide");
   Button2.Color(clrYellow);
   Button2.ColorBackground(clrBlue);
   Button2.ColorBorder(clrRed);
   
   //---
   Edit1.Create(0,"Edit1",0,5,5,80,40);
   Edit1.Text(_Symbol);
   Edit1.Color(clrYellow);
   Edit1.ColorBackground(clrRed);
   Edit1.ColorBorder(clrYellow);
   //Edit1.ReadOnly(true);
   Edit1.TextAlign(ALIGN_CENTER);
   
   Label1.Create(0,"Label1",0,0,0,0,0);
   Label1.Text(_Symbol);
   Label1.Color(clrRed);
   Label1.FontSize(14);
   
   Interface.Add(Dialog1);
   Interface.Add(Dialog2);
   Interface.Add(Button1);
   Interface.Add(Button2);
   Interface.Caption("Caption");
   Dialog2.Add(Edit1);
   Interface.Add(Label1);
   Label1.Shift(70,-25);
   
   Interface.Run();
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   Interface.Destroy(reason);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---
   Interface.OnEvent(id,lparam,dparam,sparam);
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Button1")
   {
      //Dialog1.Show();
      //Dialog2.Show();
      
      Dialog1.Visible(True);
      Dialog2.Visible(True);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Button2")
   {
      //Dialog1.Visible(false);
      //Dialog2.Visible(false);
      
      Dialog1.Hide();
      Dialog2.Hide();
   }
   
   if(id == CHARTEVENT_OBJECT_ENDEDIT && sparam == "Edit1")
   {
      Print("Value is : ",Edit1.Text());
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && sparam == "Label1")
   {
      Print("Click On Label");
   }
   
   if(id== CHARTEVENT_OBJECT_CLICK && sparam == "Bmp1")
   {
      if(Bmp1.Pressed())
      {
         Interface.Height(25);
         Dialog1.Hide();
         Dialog2.Hide();
         Button1.Hide();
         Button2.Hide();
      }
      else
      {
         Interface.Height(270);
         Dialog1.Show();
         Dialog2.Show();
         Button1.Show();
         Button2.Show();
      }
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item0Button" || sparam == "RadioGroup1Item0Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrBlue);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item1Button" || sparam == "RadioGroup1Item1Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrYellow);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item2Button" || sparam == "RadioGroup1Item2Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrOrange);
   }
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "RadioGroup1Item3Button" || sparam == "RadioGroup1Item3Label"))
   {
      ChartSetInteger(0,CHART_COLOR_CANDLE_BULL,clrRed);
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "CheckGroup1Item0Button" || sparam == "CheckGroup1Item0Label"))
   {
      if(CheckGroup1.Check(0))
         ChartSetInteger(0,CHART_SHOW_GRID,false);
      else 
         ChartSetInteger(0,CHART_SHOW_GRID,true);
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "CheckGroup1Item1Button" || sparam == "CheckGroup1Item1Label"))
   {
      if(CheckGroup1.Check(1))
         ChartSetInteger(0,CHART_SHOW_ASK_LINE,false);
      else 
         ChartSetInteger(0,CHART_SHOW_ASK_LINE,true);
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "CheckGroup1Item2Button" || sparam == "CheckGroup1Item2Label"))
   {
      if(CheckGroup1.Check(2))
         ChartSetInteger(0,CHART_SHOW_VOLUMES,false);
      else 
         ChartSetInteger(0,CHART_SHOW_VOLUMES,true);
   }
   
   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "CheckGroup1Item3Button" || sparam == "CheckGroup1Item3Label"))
   {
      if(CheckGroup1.Check(3))
         ChartSetInteger(0,CHART_SHOW_PERIOD_SEP,false);
      else 
         ChartSetInteger(0,CHART_SHOW_PERIOD_SEP,true);
   }
  }
//+------------------------------------------------------------------+
