//+------------------------------------------------------------------+
//|                                                     Project5.mq4 |
//|                           Copyright 2023,MQL4club Software Corp. |
//|                                       https://www.t.me/mql4club/ |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023,MQL4club Software Corp."
#property link      "https://www.t.me/mql4club/"
#property version   "1.00"
#property strict

#include <Controls/Dialog.mqh>
#include <Controls/Label.mqh>
#include <Controls/DatePicker.mqh>
#include <Controls/TimePicker.mqh>
#include <Controls/SpinEdit.mqh>

CAppDialog Interface;

CLabel Label1,Label2,Label3;
CDatePicker DatePicker;
CTimePicker TimePicker;
CSpinEdit SpinEdit;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   Interface.Create(0,"Interface",0,30,30,400,300);
   
   //--- Labels
   Label1.Create(0,"Label1",0,10,10,0,0);
   Label1.Text("Set A Date : ");
   
   Label2.Create(0,"Label2",0,10,40,0,0);
   Label2.Text("Set A Time : ");
   
   Label3.Create(0,"Label3",0,10,70,0,0);
   Label3.Text("Stop Loss : ");
   
   
   //--- Pickers
   DatePicker.Create(0,"DatePicker1",0,90,10,200,35);
   DatePicker.Value(TimeLocal());
   
   TimePicker.Create(0,"TimePicker1",0,90,40,200,65);
   TimePicker.Value(TimeLocal());
   TimePicker.Show();
   
   SpinEdit.Create(0,"SpinEdit1",0,90,70,200,95);
   SpinEdit.MinValue(1);
   SpinEdit.MaxValue(10);
   SpinEdit.Value(5);
   
   
   Interface.Add(Label1);
   Interface.Add(Label2);
   Interface.Add(Label3);
   Interface.Add(DatePicker);
   Interface.Add(TimePicker);
   Interface.Add(SpinEdit);
   
   Interface.Run();
   
   EventSetTimer(1);
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   Interface.Destroy(reason);
   EventKillTimer();
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---
   Interface.OnEvent(id,lparam,dparam,sparam);
   

   if(id == CHARTEVENT_OBJECT_CLICK && (sparam == "SpinEdit1Dec" || sparam == "SpinEdit1Inc"))
   {
      Print(SpinEdit.Value());
   }
   
  }
//+------------------------------------------------------------------+
//| OnTimer
//+------------------------------------------------------------------+
void OnTimer()
{
   MqlDateTime NewDate , NewTime;
   
   TimeToStruct(DatePicker.Value(),NewDate);
   TimeToStruct(TimePicker.Value(),NewTime);
   
   NewTime.year = NewDate.year;
   NewTime.mon = NewDate.mon;
   NewTime.day = NewDate.day;
   
   datetime Date_Time = StructToTime(NewTime);
   
   static datetime OldTime;
   
   
   if(OldTime != Date_Time)
   {
      Print("Date & Time is Set To : ",Date_Time);
      OldTime = Date_Time;
   }
   
}